require 'spec_helper'


describe MapCrawler do
  let(:subject) { MapCrawler.new(Setting.map(:base_url)) }

  describe 'when crawling for actual maps', :integration => true do
    it 'should increment the map count for each map found' do
      map_count = 0
      count_increment = lambda do |n|
        map_count += 1
      end

      expect do
        subject.crawl(count_increment)
      end.to change{ map_count }.by_at_least(26)
    end
  end
end
