require 'spec_helper'

describe "/mashes/new.html.erb" do
  include MashesHelper

  before(:each) do
    assigns[:mash] = stub_model(Mash,
      :new_record? => true,
      :requester => "value for requester",
      :map_a => 1,
      :map_b => 1,
      :winner => 1
    )
  end

  it "renders new mash form" do
    render

    response.should have_tag("form[action=?][method=post]", mashes_path) do
      with_tag("input#mash_requester[name=?]", "mash[requester]")
      with_tag("input#mash_map_a[name=?]", "mash[map_a]")
      with_tag("input#mash_map_b[name=?]", "mash[map_b]")
      with_tag("input#mash_winner[name=?]", "mash[winner]")
    end
  end
end
